2 year anniversary

VCL.JS plugin for Visual Studio 2013/2015

Latest Version


VCL.JS Build 1.502 Note: The latest version of VCL.JS. Supports integration with Visual Studio 2013, 2015.
file-download-activexDownload VCL.JS SDK-1.502

System Requirements

Visual Studio 2015

For node.js projects you will also need to download:
Node.JS
NTVS-Node tools for visual studio
 

Building and running the sample application

  1. Download and instal VCL.JS plugin from this page
  2. Start visual studio
  3. Create a new project – File/New project
  4. Make sure .net 4.5 and above are selected
  5. Search for vcl template and select "VCL-SampleProject"
  6. Press OK
  7. Right click on defaut.html and select "set as start page"
  8. Run the project.

for more information please refer to our getting started page

  • David Westbrook

    I’m trying to install to “Microsoft Visual Studio Community 2013”. I have .NET Framework 4.6 installed. When I try to install .Net Framework 4.5, it won’t install due to 4.6 being installed.

    The VCL.JS plugin error log shows the following. How do I get past the error?
    8/15/2015 9:58:34 PM – The following target products have been selected…
    8/15/2015 9:58:34 PM – Microsoft Visual Studio Community 2013
    8/15/2015 9:58:34 PM –
    8/15/2015 9:58:34 PM – Beginning to install extension to Microsoft Visual Studio Community 2013…
    8/15/2015 9:58:34 PM – Install Error : Microsoft.VisualStudio.ExtensionManager.MissingTargetFrameworkException: The extension ‘VCL.JS’ requires a version of the .NET Framework that is not installed.
    at Microsoft.VisualStudio.ExtensionManager.ExtensionManagerService.CheckForValidDotNetFramework(IExtension extension)
    at Microsoft.VisualStudio.ExtensionManager.ExtensionManagerService.CheckForInstallBlockers(InstallableExtensionImpl extension, IInstalledExtensionList modifiedInstalledExtensionsList, Boolean isNestedExtension, Boolean& olderVersionInstalled)
    at Microsoft.VisualStudio.ExtensionManager.ExtensionManagerService.InstallInternal(InstallableExtensionImpl extension, Boolean perMachine, Boolean isNestedExtension, IDictionary`2 extensionsInstalledSoFar, List`1 extensionsUninstalledSoFar, IInstalledExtensionList modifiedInstalledExtensionsList, AsyncOperation asyncOp, UInt64 totalBytesToWrite, UInt64& totalBytesWritten)
    at Microsoft.VisualStudio.ExtensionManager.ExtensionManagerService.BeginInstall(IInstallableExtension installableExtension, Boolean perMachine, AsyncOperation asyncOp)
    at Microsoft.VisualStudio.ExtensionManager.ExtensionManagerService.InstallWorker(IInstallableExtension extension, Boolean perMachine, AsyncOperation asyncOp)

  • Nati Krisi

    not sure where is the problem.
    its working undwr my environment

  • andrew nambudripad

    Hey, that’s a curious problem. The whole 4.x stream is ‘frozen’ i.e. nothing breaks, unlike say the 1.1 -> 2 or 2-> 3.5 shift. If you have a higher version you should be okay, but that’s curious none-the-less. Email me at andrew@amplete.com and I’ll take a look, should you still be flummouxed.